
Redmine - Defect #6785

Issue list goes 500

2010-11-01 14:40 - Ken Watford

Status: Closed Start date: 2010-11-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.3

Description

Upgrading from an 0.9.3, everything seems to work except for the issue list. Activity list, individual issues, and the New Issue page all

work.

Using r4352

Passenger: 2.2.7debian-1

Output of script/about:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine/redmine

Environment               production

Database adapter          postgresql

Database schema version   20100819172912

 gem list:

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

pg (0.9.0)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

rmagick (2.13.1)

rubygems-update (1.3.7)

 The only plugin I've installed is action_mailer_optional_tls.

Log entry:

Processing IssuesController#index (for xx.xx.xx.xx at 2010-11-01 09:21:09) [GET]

  Parameters: {"project_id"=>"tuf", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (undefined method `-' for nil:NilClass) on line #16 of app/views/issues/

_list.rhtml:

13:     </tr></thead>

14:     <% previous_group = false %>
15:     <tbody>

16:     <% issue_list(issues) do |issue, level| -%>

17:   <% if @query.grouped? && (group = @query.group_by_column.value(issue)) != previous_group %>

18:     <% reset_cycle %>

19:     <tr class="group open">

    app/helpers/issues_helper.rb:28:in `issue_list'

    app/helpers/issues_helper.rb:23:in `each'

    app/helpers/issues_helper.rb:23:in `issue_list'

    app/views/issues/_list.rhtml:16

    app/views/issues/_list.rhtml:1:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_l

ist_object_query'

    app/views/issues/index.rhtml:63:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:86

    app/controllers/issues_controller.rb:85:in `index'

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:95:in `process_request'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:374:in `start_request_handler

'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:330:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /home/redmine/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2010-11-01 14:50 - Felix Schäfer

Have you run the migration properly? Did you have the subtasks plugin installed sometime in the life of this redmine instance?

#2 - 2010-11-01 15:23 - Ken Watford

Felix Schäfer wrote:

Have you run the migration properly? Did you have the subtasks plugin installed sometime in the life of this redmine instance?

 Migrations were run, yes.

I do not recall installing that one, and do not see it among the previous install's plugins directory. It's possible that it existed in some older version,

though.

Looking at my database, the issues table has a "parent_id" column and a "root_id" column. All rows have null parent_ids, and all issues after June

(when we had a server migration) have null root_id/lft/rgt fields. Issues prior to June have them, as well as populated "lft" and "rgt" fields (all with value

1 and 2). It seems likely that subtasks were installed in an older instance, then the server was migrated to one without that installed (leaving those

fields blank), and now that it's in trunk the null fields became an issue.

Filling all of the missing root_id fields with the issue's id and setting the lft and rgt fields to 1 and 2 seems to have resolved the problem.
#3 - 2010-11-01 15:38 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

#4 - 2011-10-25 12:37 - Ralph Jaynes

SPAM
